/* -
 * Copyright (c) 2002, Ramsey G. Brenner. <rgbrenner@myrealbox.com>
 * All rights reserved.
 *
 * The contents of this file are subject to the terms of the XORSuite
 * Public Source License (the "License"); You may not use this file except
 * in compliance with the License. You may obtain a copy of the License
 * at http://rgbrenner.cjb.net/projects/xpsl.html.
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 */

extern char *cwd;
extern char *tmp_dir;
extern char *prog_name;

/* free() */
#define Free(ptr) \
    free(ptr); \
    ptr = NULL

/* malloc() */
void *
Malloc(size_t size)
{
    void  *tmp;

    if((tmp = malloc(size)) == NULL) {
      perror(NULL);
      exit(EXIT_FAILURE);
    }

    return(tmp);
}

/* realloc() */
void *
Realloc(void *ptr, size_t size)
{
    void *tmp;

    if((tmp = realloc(ptr, size)) == NULL) {
      perror(NULL);
      exit(EXIT_FAILURE);
    }

    return(tmp);
}
