/* -
 * Copyright (c) 2002, Ramsey G. Brenner. <rgbrenner@myrealbox.com>
 * All rights reserved.
 *
 * The contents of this file are subject to the terms of the XORSuite
 * Public Source License (the "License"); You may not use this file except
 * in compliance with the License. You may obtain a copy of the License
 * at http://rgbrenner.cjb.net/projects/xpsl.html.
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 */

void       usage(void);

  /* mem.h */
void      *Malloc(size_t);
void      *Realloc(void *, size_t);

  /* err.h */
void       Err(err_code, const char *);
void       Errx(const char *, ...);
void       Warn(const char *, ...);

  /* bgen.h */
int        genbyte(bgen_t *);
void       genkey(FILE *, int);
void       set_bgen(BGEN_ALGO);

  /* hash.h */
char      *get_hash_algo(void);
char      *hash_file(const char *);
char      *hash_rename(const char *, const char *);
void       set_hash(HASH_ALGO);
void       chk_hash(const char *);
void       zero_hash(char **, unsigned char **, void *);
void       sh_init_hash(void);
void       sh_update_hash(unsigned char *);
void       sh_final_hash(void);
void       md_init_hash(void);
void       md_update_hash(unsigned char *);
void       md_final_hash(void);
void       end_hash(void);

  /* lib.h */
tf         strisdigit(const char *);
int        dlen(int);
int        Atoi(const char *);
int        ask_user(const char *);
char      *get_opt(char **, int *);
void       Asprintf(char **, const char *, ...);
void       AtExit(void (*)(void));
opt_t      get_opt_type(const char *);

  /* file.h */
tf         isdir(const char *);
tf         chk_file(const char *);
int        Rbyte(void *, FILE *);
int        Mkstemp(char **);
char      *get_path(const char *);
char      *set_cwd(const char *);
void       chk_cwd(void);
void       set_tmpdir(void);
void       Chdir(const char *);
void       Fclose(FILE *);
void       Rename(const char *, const char *, const char *, tf);
void       Wbyte(const void *, FILE *);
void       Unlink(const char *);
void       del_tfp(void);
FILE      *Tmpfile(void);
FILE      *Fopen(const char *, const char *);
FILE      *tmp_fp(char *, char **);
size_t     get_length(FILE *);

  /* stages.h */
void       trim(FILE **, int);
void       XORFiles(FILE **, FILE *);
FILE      *Copy(FILE *, char **);
